package db

import (
	"context"
	log "github.com/sirupsen/logrus"
	"youngee_b_api/model/gorm_model"
)

func GetLastAutoDefaultID() (int, error) {
	db := GetReadDB(context.Background())
	// 查找最后一个
	LastDefault := gorm_model.InfoAutoDefaultHandle{}
	result := db.Last(&LastDefault)
	err := result.Error
	if err != nil {
		log.Println("DB GetLastAutoDefaultID:", err)
		return 0, err
	}
	//fmt.Printf("auto task %+v %+v", result, LastTask)
	return LastDefault.AutoDefaultID, nil
}

// GetLastAutoDefaultIDByEnterpriseId 根据enterpriseId查找违约扣款Id
func GetLastAutoDefaultIDByEnterpriseId(enterpriseId string) (int, error) {
	db := GetReadDB(context.Background())
	LastDefault := gorm_model.InfoAutoDefaultHandle{}
	autoDefaultIErr := db.Model(gorm_model.InfoAutoDefaultHandle{}).Where("enterprise_id = ?", enterpriseId).Find(&LastDefault).Error
	if autoDefaultIErr != nil {
		log.Println("DB GetLastAutoDefaultID:", autoDefaultIErr)
		return 0, autoDefaultIErr
	}
	return LastDefault.AutoDefaultID, nil
}
